import { Base, Type } from "igniteui-webcomponents-core";
import { ISpreadsheetDialogFontsService } from "./ISpreadsheetDialogFontsService";
import { List$1 } from "igniteui-webcomponents-core";
import { Color } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class SpreadsheetDialogFontsService extends Base implements ISpreadsheetDialogFontsService {
    static $t: Type;
    getFontNames(): List$1<string>;
    getFontSizes(): List$1<number>;
    getHighlightColors(): List$1<Color>;
}
